-------------------------------------------------------------------------------
-- Title      : rom 128 octets
-- Project    : 
-------------------------------------------------------------------------------
-- File       : rom128x8.vhd
-- Author     :   <nouel@AINHOA>
-- Company    : 
-- Last update: 2006/10/13
-- Platform   : 
-------------------------------------------------------------------------------
-- Description: 
-------------------------------------------------------------------------------
-- Revisions  :
-- Date        Version  Author  Description
-- 2006/09/19  1.0      nouel	Created
-------------------------------------------------------------------------------

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY rom128x8 IS  
  PORT (
    adresse : IN  std_logic_vector(6 DOWNTO 0);
    donnees : OUT std_logic_vector(7 DOWNTO 0));
END rom128x8;

USE work.ascii_pack.ALL;

ARCHITECTURE par_constante OF rom128x8 IS

  TYPE tableau IS ARRAY (0 TO 127) OF std_logic_vector(7 DOWNTO 0);

  CONSTANT rom : tableau := 
 --   Bonjour
     ( Gb, po, pn, pj, po, pu, pr,X"00", 
 --  Comment allez-vous ?
      gc, po, pm,pm, pe,pn,pt,espace,pa,pl,pl,pe,pz,moins,pv,po,pu,s_min,espace,interrogation ,X"00", 
  -- Je vais bien
      Gj,pe,espace,pv,pa,pi,s_min, espace, pb,pi,pe,pn, X"00", 
   -- Je vais mal
    Gj,pe,espace,pv,pa,pi,s_min, espace, pm,pa,pl, X"00",
     OTHERS => x"00");
  
  SIGNAL adr : natural;
  
BEGIN  -- par_table
  
  adr <= to_integer(unsigned(adresse));
  
  donnees <= rom(adr);
 
 
END par_constante;
  
